Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | PROPERTY | CONSTR | METHOD | DETAIL: FIELD | PROPERTY | CONSTR | METHOD

## org.gradle.plugins.ide.eclipse.model
[Groovy] Class WbDependentModule

    java.lang.Object
      org.gradle.plugins.ide.eclipse.model.WbDependentModule

    class WbDependentModule

Authors:
  Hans Dockter

Property Summary
`String` | `deployPath`
`String` | `handle`

Constructor Summary
`WbDependentModule(def node)`
`WbDependentModule(String deployPath, String handle)`

Method Summary
`void` | `appendNode(Node parentNode)`
`boolean` | `equals(def o)`
`int` | `hashCode()`
`String` | `toString()`

Methods inherited from class Object
wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Property Detail

### deployPath

    String deployPath

### handle

    String handle

Constructor Detail

### WbDependentModule

    WbDependentModule(def node)

### WbDependentModule

    WbDependentModule(String deployPath, String handle)

Method Detail

### appendNode

    void appendNode(Node parentNode)

### equals

    boolean equals(def o)

### hashCode

    int hashCode()

### toString

    String toString()

Gradle API 1.1-rc-1